%define __libtoolize    /bin/true

%define name ksetispy
%define version 0.6.4
%define release %mkrel 3


Summary:   A KDE3 SETI@home monitoring tool
Name:      %name
Version:   %version
Release:   %release
License: GPL
Url:       http://ksetispy.sourceforge.net/
Icon:      ksetispy.xpm
Group:     Sciences/Astronomy
Source:    %name-%version.tar.bz2
Buildrequires: kdelibs-devel
BuildRoot: %_tmppath/%{name}-buildroot

%description
KSetiSpy is a KDE3 utility that monitors the progress of the SETI@home client,
and displays all kinds of information about the work unit(s) being processed.
It uses the same interface as SETI Spy, a popular Windows utility.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%configure \
%if "%{_lib}" != "lib"
	--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif

%build

%make

%install

%makeinstall

# Create LMDK menu entries
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl %name "More applications/Sciences/Other" %buildroot/%_datadir/applnk/Applications/* %buildroot/%_menudir/%name




%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/ksetispy

%files -f %name.lang
%defattr(-,root,root)
%_bindir/*
%_datadir/applnk/Applications/*
%_datadir/apps/ksetispy
%_docdir/HTML/en/ksetispy
%_docdir/HTML/it/ksetispy
%_iconsdir/hicolor/16x16/apps/*
%_iconsdir/hicolor/32x32/apps/*
%_iconsdir/hicolor/48x48/apps/*
%_iconsdir/locolor/16x16/apps/*
%_iconsdir/locolor/32x32/apps/*
%_iconsdir/crystalsvg/scalable/apps/*
%_menudir/*


%changelog
* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 0.6.4-3mdk
- fix x86_64 build
- quiet %%setup

* Thu Dec 15 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.4-2mdk
- Fix BuildRequires
- use mkrel

* Mon Apr 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-1mdk
- 0.6.4

* Mon Jun 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-3mdk
- Rebuild

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-2mdk
- Fix spec file

* Thu Feb 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-2mdk
- Rebuild

* Fri Sep 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.2-5mdk
- Rebuild

* Wed Apr 30 2003  Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-4mdk
- buildrequires

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.2-3mdk
- Rebuild

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-2mdk
- rebuild

* Fri Nov 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2
- use macros
- fix files section
- menu
- from Roberto Virga <rvirga@users.sourceforge.net> :
	- spec file adaptation for Mandrake
